﻿using C1.C1Preview;
using C1.Win.C1Preview;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;



namespace PrintDocument_NET6
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Create the C1PrintDocument which will house all the RenderObjects
            C1PrintDocument doc = new C1PrintDocument();

            // Create two RenderTable objects:
            RenderTable rt = new RenderTable();
            RenderTable rt1 = new RenderTable();

            // Here we are utilizing our second RenderTable to create extra headers above our grid, and we have lines turned off by default so nothing shows.
            rt1.Cells[0, 0].Text = "ANNUAL FINANCIAL REPORT";
            rt1.Cells[1, 0].Text = "Enter Company Name Here";
            rt1.Rows[0].Style.FontSize = 24;
            rt1.Rows[1].Style.FontSize = 20;

            // We can center the grid with the line below:
            //rt.Style.FlowAlign = FlowAlignEnum.Center;

            // Below we are setting the styling properties of the data-containing RenderTable.
            // Set the table to fill the page
            // adjust table's properties so that columns are auto-sized:
            // 1) By default, table width is set to parent (page) width,
            // for auto-sizing we must change it to auto (i.e. based on content):
            rt.Width = Unit.Auto;
            // 2) Set ColumnSizingMode to Auto (default means Fixed for columns):
            rt.ColumnSizingMode = TableSizingModeEnum.Auto;
            // that's it, now the table's columns will be auto-sized.

            // Turn table grid lines on to better see autosizing, add some padding:
            rt.Style.GridLines.All = LineDef.Default;
            rt.CellStyle.Padding.All = "2mm";


            //set backcolor green
            //rt.Style.BackColor = Color.Green;

            // add initial header data
            rt.Cells[0, 0].Text = "METRIC";
            rt.Cells[0, 1].Text = "THIS YEAR (2022)";
            rt.Cells[0, 2].Text = "LAST YEAR (2021)";
            rt.Cells[0, 3].Text = "% CHANGE";
            // add some data for each row
            // Row 1
            rt.Cells[1, 0].Text = "Revenue";
            rt.Cells[1, 1].Text = "$180,583.88";
            rt.Cells[1, 2].Text = "$180,026.64";
            rt.Cells[1, 3].Text = "0%";
            // Row 2
            rt.Cells[2, 0].Text = "Operating Expenses";
            rt.Cells[2, 1].Text = "$94,419.46";
            rt.Cells[2, 2].Text = "$80,883.33";
            rt.Cells[2, 3].Text = "17%";
            // Row 3
            rt.Cells[3, 0].Text = "Operating Profit";
            rt.Cells[3, 1].Text = "$73,426.00";
            rt.Cells[3, 2].Text = "$77,317.84";
            rt.Cells[3, 3].Text = "-5%";
            // Row 4
            rt.Cells[4, 0].Text = "Depreciation";
            rt.Cells[4, 1].Text = "$5,546.89";
            rt.Cells[4, 2].Text = "$5,068.42";
            rt.Cells[4, 3].Text = "9%";
            // Row 5
            rt.Cells[5, 0].Text = "Interest";
            rt.Cells[5, 1].Text = "$3,789.47";
            rt.Cells[5, 2].Text = "$3,338.31";
            rt.Cells[5, 3].Text = "14%";
            // Row 6
            rt.Cells[6, 0].Text = "Net Profit";
            rt.Cells[6, 1].Text = "$67,474.86";
            rt.Cells[6, 2].Text = "$66,272.10";
            rt.Cells[6, 3].Text = "2%";
            // Row 7
            rt.Cells[7, 0].Text = "Tax";
            rt.Cells[7, 1].Text = "$31,408.26";
            rt.Cells[7, 2].Text = "$29,424.53";
            rt.Cells[7, 3].Text = "7%";
            // Row 8
            rt.Cells[8, 0].Text = "Profit After Tax";
            rt.Cells[8, 1].Text = "$50,247.68";
            rt.Cells[8, 2].Text = "$42,438.20";
            rt.Cells[8, 3].Text = "18%";
            // Row 9
            rt.Cells[9, 0].Text = "Metric 1";
            rt.Cells[9, 1].Text = "$19.96";
            rt.Cells[9, 2].Text = "$16.79";
            rt.Cells[9, 3].Text = "19%";
            // Row 10
            rt.Cells[10, 0].Text = "Metric 2";
            rt.Cells[10, 1].Text = "$26.02";
            rt.Cells[10, 2].Text = "$21.84";
            rt.Cells[10, 3].Text = "19%";
            // Row 11
            rt.Cells[11, 0].Text = "Metric 3";
            rt.Cells[11, 1].Text = "$31.09";
            rt.Cells[11, 2].Text = "$26.40";
            rt.Cells[11, 3].Text = "18%";
            // Row 12
            rt.Cells[12, 0].Text = "Metric 4";
            rt.Cells[12, 1].Text = "$14.92";
            rt.Cells[12, 2].Text = "$14.59";
            rt.Cells[12, 3].Text = "2%";
            // Row 13
            rt.Cells[13, 0].Text = "Metric 5";
            rt.Cells[13, 1].Text = "$1.04";
            rt.Cells[13, 2].Text = "$1.00";
            rt.Cells[13, 3].Text = "3%";
            // Row 14
            rt.Cells[14, 0].Text = "Metric 6";
            rt.Cells[14, 1].Text = "$0.34";
            rt.Cells[14, 2].Text = "$0.31";
            rt.Cells[14, 3].Text = "12%";



            // Add the first row as a header and make the text color white and bolded
            rt.RowGroups[0, 1].Header = C1.C1Preview.TableHeaderEnum.Page;
            rt.Rows[0].Style.TextColor = Color.White;
            rt.Rows[0].Style.FontBold = true;
            rt.RowGroups[0, 1].PageHeader = true;
            // Change the header background color
            rt.RowGroups[0, 1].Style.BackColor = Color.Green;
            // Make every other row Gray
            for(int i = 1; i < rt.Rows.Count; i++)
            {
                if (i % 2 == 0)
                {
                    rt.Rows[i].Style.BackColor = Color.White;
                }
                else
                    rt.Rows[i].Style.BackColor = Color.LightGray;
            }

            // Add the tables to the document
            doc.Body.Children.Add(rt1);
            doc.Body.Children.Add(rt);

            // Show the document
            this.c1PrintPreviewControl1.Document = doc;
        }
       
    }
}
